#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "main.h"

extern guchar current_image[];

extern guchar main_camera[];
extern guchar camera_1[];
extern guchar camera_2[];
extern guchar camera_3[];
extern guchar camera_4[];
extern guchar final_camera[];
extern guchar hough_camera[];

void
on_new_file1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_m1left_pressed                      (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_FRONT; 
}


void
on_m1left_released                     (GtkButton       *button,
				gpointer         user_data)
{
    state = STATE_QUIET;
}


void
on_m1right_pressed                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_BACK;
}


void
on_m1right_released                    (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m2left_pressed                      (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_LEFT; 
}


void
on_m2left_released                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m2right_pressed                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_RIGHT; 
}


void
on_m2right_released                    (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m3right_pressed                     (GtkButton       *button,
				gpointer         user_data)
{
    state = M3 | INVERT; 
}


void
on_m3right_released                    (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m3left_pressed                      (GtkButton       *button,
                                        gpointer         user_data)
{
    state = M3; 
}


void
on_m3left_released                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m4left_pressed                      (GtkButton       *button,
                                        gpointer         user_data)
{
    state = M4; 
}


void
on_m4left_released                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}


void
on_m4right_pressed                     (GtkButton       *button,
                                        gpointer         user_data)
{
    state = M4 | INVERT; 
}


void
on_m4right_released                    (GtkButton       *button,
                                        gpointer         user_data)
{
    state = STATE_QUIET; 
}




gboolean
on_fullcamera_expose_event             (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,640,480,GDK_RGB_DITHER_NONE,main_camera,640);
  return FALSE;
}


void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


gboolean
on_camera_1_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,320,240,GDK_RGB_DITHER_NONE,camera_1,320);
  return FALSE;
}


gboolean
on_camera_3_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,320,240,GDK_RGB_DITHER_NONE,camera_2,320);
  return FALSE;
}


gboolean
on_camera_2_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,320,240,GDK_RGB_DITHER_NONE,camera_3,320);
  return FALSE;
}


gboolean
on_camera_4_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,320,240,GDK_RGB_DITHER_NONE,camera_4,320);
  return FALSE;
}


gboolean
on_finalcamera_event                   (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,640,480,GDK_RGB_DITHER_NONE,final_camera,640);
  return FALSE;
}


gboolean
on_houghcamera_expose_event            (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  gdk_draw_gray_image(widget->window,widget->style->white_gc,
                   0,0,401,180,GDK_RGB_DITHER_NONE,hough_camera,401);
  return FALSE;
}

